Fix incompatibility with Flex 4.6
[potlatch2.git] / net / systemeD / potlatch2 / BugConnection.as
index f0e56a276aac3e7341427679d5082c051822c8ae..1522cb78dfdf26f4060445668daead4f14d18ca1 100644 (file)
@@ -85,7 +85,7 @@ package net.systemeD.potlatch2 {
             if (result) { // api returns 204 no content for no bugs, and the JSON parser treats '' as an error
               try {
                 // wrap in a try/catch block in case we're given bogus JSON from the server
-                var featureCollection:Object = JSON.decode(result);
+                var featureCollection:Object = com.adobe.serialization.json.JSON.decode(result);
 
                 for each (var feature:Object in featureCollection.features) {
                   // geoJSON spec is x,y,z i.e. lon, lat, ele